Bug 405001 - System settings freezes on neon dev unstable when I try to open "Regional Settings"
Summary: System settings freezes on neon dev unstable when I try to open "Regional Set...
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Neon Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
: 408208 (view as bug list)
Depends on:
Blocks:
 
Reported: 2019-03-02 19:21 UTC by Patrick Silva
Modified: 2019-07-03 14:38 UTC (History)
7 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2019-03-02 19:21:02 UTC
Summary says by itself.


Operating System: KDE neon Developer Edition
KDE Plasma Version: 5.15.80
KDE Frameworks Version: 5.56.0
Qt Version: 5.12.0


Thread 14 (Thread 0x7fa159974700 (LWP 1557)):
#0  QThreadData::current (createIfNecessary=createIfNecessary@entry=true)
    at thread/qthread_unix.cpp:258
#1  0x00007fa16a3ec03a in postEventSourcePrepare (s=0x7fa14c004ba0, timeout=0x7fa159973b34)
    at kernel/qeventdispatcher_glib.cpp:252
#2  0x00007fa163910a98 in g_main_context_prepare () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fa16391146b in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fa16391164c in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fa16a3ec15b in QEventDispatcherGlib::processEvents (this=0x7fa14c000b20, flags=...)
    at kernel/qeventdispatcher_glib.cpp:424
#6  0x00007fa16a38d64a in QEventLoop::exec (this=this@entry=0x7fa159973d00, flags=..., 
    flags@entry=...) at kernel/qeventloop.cpp:225
#7  0x00007fa16a1b541a in QThread::exec (this=this@entry=0x55fa2d797120) at thread/qthread.cpp:531
#8  0x00007fa16dfad2e5 in QQmlThreadPrivate::run (this=0x55fa2d797120) at qml/ftw/qqmlthread.cpp:148
#9  0x00007fa16a1b6bc2 in QThreadPrivate::start (arg=0x55fa2d797120) at thread/qthread_unix.cpp:361
#10 0x00007fa166ccb6db in start_thread (arg=0x7fa159974700) at pthread_create.c:463
#11 0x00007fa169ab688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7fa120a7b700 (LWP 1662)):
#0  0x00007fa166cd19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, 
    futex_word=0x55fa30ad43e0) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55fa30ad4390, cond=0x55fa30ad43b8)
    at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55fa30ad43b8, mutex=0x55fa30ad4390) at pthread_cond_wait.c:655
#3  0x00007fa16a1bdb4b in QWaitConditionPrivate::wait (deadline=..., this=0x55fa30ad4390)
    at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x55fa31184e70, deadline=...)
    at thread/qwaitcondition_unix.cpp:225
#5  0x00007fa16a1bde59 in QWaitCondition::wait (this=this@entry=0x55fa31184e78, 
    mutex=mutex@entry=0x55fa31184e70, time=time@entry=18446744073709551615)
    at thread/qwaitcondition_unix.cpp:208
#6  0x00007fa16e4f7da8 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x55fa31184e68)
    at scenegraph/qsgthreadedrenderloop.cpp:245
#7  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x55fa31184df0)
    at scenegraph/qsgthreadedrenderloop.cpp:709
#8  0x00007fa16e4f81da in QSGRenderThread::run (this=0x55fa31184df0)
    at scenegraph/qsgthreadedrenderloop.cpp:738
#9  0x00007fa16a1b6bc2 in QThreadPrivate::start (arg=0x55fa31184df0) at thread/qthread_unix.cpp:361
#10 0x00007fa166ccb6db in start_thread (arg=0x7fa120a7b700) at pthread_create.c:463
#11 0x00007fa169ab688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7fa0eae1d700 (LWP 5616)):
#0  0x00007fa166cd19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, 
    futex_word=0x55fa30d50140) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55fa30d500f0, cond=0x55fa30d50118)
    at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55fa30d50118, mutex=0x55fa30d500f0) at pthread_cond_wait.c:655
#3  0x00007fa16a1bdb4b in QWaitConditionPrivate::wait (deadline=..., this=0x55fa30d500f0)
    at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x55fa2d95b300, deadline=...)
    at thread/qwaitcondition_unix.cpp:225
#5  0x00007fa16a1bde59 in QWaitCondition::wait (this=this@entry=0x55fa2d95b308, 
    mutex=mutex@entry=0x55fa2d95b300, time=time@entry=18446744073709551615)
    at thread/qwaitcondition_unix.cpp:208
#6  0x00007fa16e4f7da8 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x55fa2d95b2f8)
    at scenegraph/qsgthreadedrenderloop.cpp:245
#7  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x55fa2d95b280)
    at scenegraph/qsgthreadedrenderloop.cpp:709
#8  0x00007fa16e4f81da in QSGRenderThread::run (this=0x55fa2d95b280)
    at scenegraph/qsgthreadedrenderloop.cpp:738
#9  0x00007fa16a1b6bc2 in QThreadPrivate::start (arg=0x55fa2d95b280) at thread/qthread_unix.cpp:361
#10 0x00007fa166ccb6db in start_thread (arg=0x7fa0eae1d700) at pthread_create.c:463
#11 0x00007fa169ab688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7fa113fff700 (LWP 2357)):
#0  0x00007fa166cd19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, 
    futex_word=0x55fa30ad9630) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55fa30ad95e0, cond=0x55fa30ad9608)
    at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55fa30ad9608, mutex=0x55fa30ad95e0) at pthread_cond_wait.c:655
#3  0x00007fa16a1bdb4b in QWaitConditionPrivate::wait (deadline=..., this=0x55fa30ad95e0)
    at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x55fa30ac2c50, deadline=...)
    at thread/qwaitcondition_unix.cpp:225
#5  0x00007fa16a1bde59 in QWaitCondition::wait (this=this@entry=0x55fa30ac2c58, 
    mutex=mutex@entry=0x55fa30ac2c50, time=time@entry=18446744073709551615)
    at thread/qwaitcondition_unix.cpp:208
#6  0x00007fa16e4f7da8 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x55fa30ac2c48)
    at scenegraph/qsgthreadedrenderloop.cpp:245
#7  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x55fa30ac2bd0)
    at scenegraph/qsgthreadedrenderloop.cpp:709
#8  0x00007fa16e4f81da in QSGRenderThread::run (this=0x55fa30ac2bd0)
    at scenegraph/qsgthreadedrenderloop.cpp:738
#9  0x00007fa16a1b6bc2 in QThreadPrivate::start (arg=0x55fa30ac2bd0) at thread/qthread_unix.cpp:361
#10 0x00007fa166ccb6db in start_thread (arg=0x7fa113fff700) at pthread_create.c:463
#11 0x00007fa169ab688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7fa0ea61c700 (LWP 1674)):
#0  0x00007fa166cd19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, 
    futex_word=0x55fa32c8fe44) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55fa32c8fdf0, cond=0x55fa32c8fe18)
    at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55fa32c8fe18, mutex=0x55fa32c8fdf0) at pthread_cond_wait.c:655
#3  0x00007fa16a1bdb4b in QWaitConditionPrivate::wait (deadline=..., this=0x55fa32c8fdf0)
    at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x55fa30f14c40, deadline=...)
    at thread/qwaitcondition_unix.cpp:225
#5  0x00007fa16a1bde59 in QWaitCondition::wait (this=this@entry=0x55fa30f14c48, 
    mutex=mutex@entry=0x55fa30f14c40, time=time@entry=18446744073709551615)
    at thread/qwaitcondition_unix.cpp:208
#6  0x00007fa16e4f7da8 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x55fa30f14c38)
    at scenegraph/qsgthreadedrenderloop.cpp:245
#7  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x55fa30f14bc0)
    at scenegraph/qsgthreadedrenderloop.cpp:709
#8  0x00007fa16e4f81da in QSGRenderThread::run (this=0x55fa30f14bc0)
    at scenegraph/qsgthreadedrenderloop.cpp:738
#9  0x00007fa16a1b6bc2 in QThreadPrivate::start (arg=0x55fa30f14bc0) at thread/qthread_unix.cpp:361
#10 0x00007fa166ccb6db in start_thread (arg=0x7fa0ea61c700) at pthread_create.c:463
#11 0x00007fa169ab688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7fa1074d4700 (LWP 1619)):
#0  0x00007fa166cd19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, 
    futex_word=0x55fa2ed9aef0) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55fa2ed9aea0, cond=0x55fa2ed9aec8)
    at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55fa2ed9aec8, mutex=0x55fa2ed9aea0) at pthread_cond_wait.c:655
#3  0x00007fa16a1bdb4b in QWaitConditionPrivate::wait (deadline=..., this=0x55fa2ed9aea0)
    at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x55fa2eff0920, deadline=...)
    at thread/qwaitcondition_unix.cpp:225
#5  0x00007fa16a1bde59 in QWaitCondition::wait (this=this@entry=0x55fa2eff0928, 
    mutex=mutex@entry=0x55fa2eff0920, time=time@entry=18446744073709551615)
    at thread/qwaitcondition_unix.cpp:208
#6  0x00007fa16e4f7da8 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x55fa2eff0918)
    at scenegraph/qsgthreadedrenderloop.cpp:245
#7  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x55fa2eff08a0)
    at scenegraph/qsgthreadedrenderloop.cpp:709
#8  0x00007fa16e4f81da in QSGRenderThread::run (this=0x55fa2eff08a0)
    at scenegraph/qsgthreadedrenderloop.cpp:738
#9  0x00007fa16a1b6bc2 in QThreadPrivate::start (arg=0x55fa2eff08a0) at thread/qthread_unix.cpp:361
#10 0x00007fa166ccb6db in start_thread (arg=0x7fa1074d4700) at pthread_create.c:463
#11 0x00007fa169ab688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7fa17067e880 (LWP 1474)):
#0  0x00007fa169aa9bf9 in __GI___poll (fds=fds@entry=0x7ffe71594108, nfds=nfds@entry=1, 
    timeout=timeout@entry=1000) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fa16d0d8bf4 in poll (__timeout=1000, __nfds=1, __fds=0x7ffe71594108)
    at /usr/include/x86_64-linux-gnu/bits/poll2.h:46
#2  pollDrKonqiSocket (pid=6126, sockfd=4) at ./src/kcrash.cpp:909
#3  0x00007fa16d0d91f1 in startProcessInternal (argc=argc@entry=20, argv=argv@entry=0x7ffe715942a0, 
    waitAndExit=waitAndExit@entry=true, directly=directly@entry=false) at ./src/kcrash.cpp:684
#4  0x00007fa16d0d9a6e in KCrash::startProcess (argc=argc@entry=20, argv=argv@entry=0x7ffe715942a0, 
    waitAndExit=waitAndExit@entry=true) at ./src/kcrash.cpp:637
#5  0x00007fa16d0d9f97 in KCrash::defaultCrashHandler (sig=11) at ./src/kcrash.cpp:535
#6  <signal handler called>
#7  0x00007fa13d9bbead in QtWaylandClient::QWaylandXdgSurface::setPopup (this=0x55fa38ef0940, 
    parent=0x55fa2e481d70, device=0x55fa2d6b0410, serial=2226, grab=<optimized out>)
    at qwaylandxdgshell.cpp:348
#8  0x00007fa13d9bc40a in QtWaylandClient::QWaylandXdgShell::getXdgSurface (this=0x55fa2d7b7720, 
    window=0x55fa39202a90) at qwaylandxdgshell.cpp:407
#9  0x00007fa15d6917d4 in QtWaylandClient::QWaylandWindow::initWindow (
    this=this@entry=0x55fa39202a90) at qwaylandwindow.cpp:142
#10 0x00007fa15d691e09 in QtWaylandClient::QWaylandWindow::setVisible (
    this=this@entry=0x55fa39202a90, visible=<optimized out>) at qwaylandwindow.cpp:389
#11 0x00007fa152ce5884 in QtWaylandClient::QWaylandEglWindow::setVisible (this=0x55fa39202a90, 
    visible=<optimized out>)
    at ../../../../hardwareintegration/client/wayland-egl/qwaylandeglwindow.cpp:164
#12 0x00007fa16a9626a4 in QWindowPrivate::setVisible (this=0x55fa39202930, 
    visible=visible@entry=true) at kernel/qwindow.cpp:402
#13 0x00007fa16bd42d6d in QWidgetWindow::setNativeWindowVisibility (this=this@entry=0x55fa376778d0, 
    visible=visible@entry=true) at kernel/qwidgetwindow.cpp:205
#14 0x00007fa16bd1d256 in QWidgetPrivate::show_sys (this=this@entry=0x55fa394b3280)
    at kernel/qwidget.cpp:8105
#15 0x00007fa16bd262bb in QWidgetPrivate::show_helper (this=this@entry=0x55fa394b3280)
    at kernel/qwidget.cpp:8028
#16 0x00007fa16bd293eb in QWidget::setVisible (this=0x55fa3735efa0, visible=<optimized out>)
    at kernel/qwidget.cpp:8322
#17 0x00007fa16be5d9a0 in QMenu::popup (this=0x55fa3735efa0, p=..., atAction=atAction@entry=0x0)
    at widgets/qmenu.cpp:2596
#18 0x00007fa149cad297 in QMenuProxy::openInternal (this=this@entry=0x55fa3969cd70, pos=...)
    at ./src/declarativeimports/plasmacomponents/qmenu.cpp:459
#19 0x00007fa149cadcdc in QMenuProxy::open (this=0x55fa3969cd70, x=12, y=20)
    at ./src/declarativeimports/plasmacomponents/qmenu.cpp:336
#20 0x00007fa149cb1ad1 in QMenuProxy::qt_static_metacall (_o=_o@entry=0x55fa3969cd70, 
    _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=_id@entry=9, _a=_a@entry=0x7ffe715950a0)
    at ./obj-x86_64-linux-gnu/src/declarativeimports/plasmacomponents/plasmacomponentsplugin_autogen/EWIEGA46WW/moc_qmenu.cpp:194
#21 0x00007fa149cb2105 in QMenuProxy::qt_metacall (this=0x55fa3969cd70, 
    _c=QMetaObject::InvokeMetaMethod, _id=9, _a=0x7ffe715950a0)
    at ./obj-x86_64-linux-gnu/src/declarativeimports/plasmacomponents/plasmacomponentsplugin_autogen/EWIEGA46WW/moc_qmenu.cpp:380
#22 0x00007fa16df52af9 in QQmlObjectOrGadget::metacall (this=this@entry=0x7ffe715953e0, 
    type=type@entry=QMetaObject::InvokeMetaMethod, index=<optimized out>, index@entry=14, 
    argv=<optimized out>) at qml/qqmlpropertycache.cpp:1735
#23 0x00007fa16de54bf5 in CallMethod (object=..., index=<optimized out>, 
    returnType=returnType@entry=43, argCount=<optimized out>, argTypes=<optimized out>, 
    engine=engine@entry=0x55fa2d87c430, callArgs=<optimized out>, callType=<optimized out>)
    at jsruntime/qv4qobjectwrapper.cpp:1213
#24 0x00007fa16de5655f in CallPrecise (object=..., data=..., engine=engine@entry=0x55fa2d87c430, 
    callArgs=callArgs@entry=0x7fa158d35778, callType=callType@entry=QMetaObject::InvokeMetaMethod)
    at jsruntime/qv4qobjectwrapper.cpp:1475
#25 0x00007fa16de575ec in CallOverloaded (callType=QMetaObject::InvokeMetaMethod, 
    propertyCache=0x55fa2de3be80, callArgs=0x7fa158d35778, engine=0x55fa2d87c430, data=..., 
    object=...) at jsruntime/qv4qobjectwrapper.cpp:1549
#26 QV4::QObjectMethod::callInternal (this=<optimized out>, thisObject=<optimized out>, 
    argv=<optimized out>, argc=<optimized out>) at jsruntime/qv4qobjectwrapper.cpp:2019
#27 0x00007fa16dedd3b9 in QV4::FunctionObject::call (argc=2, argv=0x7fa158d35720, 
    thisObject=0x7fa158d35708, this=<optimized out>) at jsruntime/qv4functionobject_p.h:202
#28 QV4::Runtime::method_callProperty (engine=0x55fa2d87c430, base=<optimized out>, 
    nameIndex=<optimized out>, argv=0x7fa158d35720, argc=<optimized out>)
    at jsruntime/qv4runtime.cpp:1385
#29 0x00007fa11047680d in ?? ()
#30 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fa14b1a0700 (LWP 1579)):
#0  0x00007fa166cd19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, 
    futex_word=0x55fa2da66a48) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55fa2da669f8, cond=0x55fa2da66a20)
    at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55fa2da66a20, mutex=0x55fa2da669f8) at pthread_cond_wait.c:655
#3  0x00007fa1506eeb1b in ?? () from /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#4  0x00007fa1506ee847 in ?? () from /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007fa166ccb6db in start_thread (arg=0x7fa14b1a0700) at pthread_create.c:463
#6  0x00007fa169ab688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7fa13d9b3700 (LWP 1585)):
#0  0x00007fa169aa9bf9 in __GI___poll (fds=0x7fa138005290, nfds=1, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fa163911539 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fa16391164c in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fa16a3ec13f in QEventDispatcherGlib::processEvents (this=0x7fa138000b20, flags=...)
    at kernel/qeventdispatcher_glib.cpp:422
#4  0x00007fa16a38d64a in QEventLoop::exec (this=this@entry=0x7fa13d9b2cb0, flags=..., 
    flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007fa16a1b541a in QThread::exec (this=this@entry=0x55fa2d758390) at thread/qthread.cpp:531
#6  0x00007fa16e4721c6 in QQuickPixmapReader::run (this=0x55fa2d758390)
    at util/qquickpixmapcache.cpp:949
#7  0x00007fa16a1b6bc2 in QThreadPrivate::start (arg=0x55fa2d758390) at thread/qthread_unix.cpp:361
#8  0x00007fa166ccb6db in start_thread (arg=0x7fa13d9b3700) at pthread_create.c:463
#9  0x00007fa169ab688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7fa137d13700 (LWP 1586)):
#0  0x00007fa166cd19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, 
    futex_word=0x55fa2d7664e0) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55fa2d766490, cond=0x55fa2d7664b8)
    at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55fa2d7664b8, mutex=0x55fa2d766490) at pthread_cond_wait.c:655
#3  0x00007fa16a1bdb4b in QWaitConditionPrivate::wait (deadline=..., this=0x55fa2d766490)
    at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x55fa2d990ec0, deadline=...)
    at thread/qwaitcondition_unix.cpp:225
#5  0x00007fa16a1bde59 in QWaitCondition::wait (this=this@entry=0x55fa2d990ec8, 
    mutex=mutex@entry=0x55fa2d990ec0, time=time@entry=18446744073709551615)
    at thread/qwaitcondition_unix.cpp:208
#6  0x00007fa16e4f7da8 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x55fa2d990eb8)
    at scenegraph/qsgthreadedrenderloop.cpp:245
#7  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x55fa2d990e40)
    at scenegraph/qsgthreadedrenderloop.cpp:709
#8  0x00007fa16e4f81da in QSGRenderThread::run (this=0x55fa2d990e40)
    at scenegraph/qsgthreadedrenderloop.cpp:738
#9  0x00007fa16a1b6bc2 in QThreadPrivate::start (arg=0x55fa2d990e40) at thread/qthread_unix.cpp:361
#10 0x00007fa166ccb6db in start_thread (arg=0x7fa137d13700) at pthread_create.c:463
#11 0x00007fa169ab688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7fa1122e6700 (LWP 1635)):
#0  0x00007fa166cd19f3 in futex_wait_cancelable (private=<optimized out>, expected=0, 
    futex_word=0x55fa3096ae84) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55fa3096ae30, cond=0x55fa3096ae58)
    at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55fa3096ae58, mutex=0x55fa3096ae30) at pthread_cond_wait.c:655
#3  0x00007fa16a1bdb4b in QWaitConditionPrivate::wait (deadline=..., this=0x55fa3096ae30)
    at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x55fa2e385250, deadline=...)
    at thread/qwaitcondition_unix.cpp:225
#5  0x00007fa16a1bde59 in QWaitCondition::wait (this=this@entry=0x55fa2e385258, 
    mutex=mutex@entry=0x55fa2e385250, time=time@entry=18446744073709551615)
    at thread/qwaitcondition_unix.cpp:208
#6  0x00007fa16e4f7da8 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x55fa2e385248)
    at scenegraph/qsgthreadedrenderloop.cpp:245
#7  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x55fa2e3851d0)
    at scenegraph/qsgthreadedrenderloop.cpp:709
#8  0x00007fa16e4f81da in QSGRenderThread::run (this=0x55fa2e3851d0)
    at scenegraph/qsgthreadedrenderloop.cpp:738
#9  0x00007fa16a1b6bc2 in QThreadPrivate::start (arg=0x55fa2e3851d0) at thread/qthread_unix.cpp:361
#10 0x00007fa166ccb6db in start_thread (arg=0x7fa1122e6700) at pthread_create.c:463
#11 0x00007fa169ab688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7fa15b3a9700 (LWP 1485)):
#0  0x00007fa16a3ec04d in postEventSourcePrepare (s=0x7fa154004fd0, timeout=0x7fa15b3a8b24)
    at kernel/qeventdispatcher_glib.cpp:258
#1  0x00007fa163910a98 in g_main_context_prepare () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fa16391146b in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fa16391164c in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fa16a3ec15b in QEventDispatcherGlib::processEvents (this=0x7fa154000b20, flags=...)
    at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007fa16a38d64a in QEventLoop::exec (this=this@entry=0x7fa15b3a8cf0, flags=..., 
    flags@entry=...) at kernel/qeventloop.cpp:225
#6  0x00007fa16a1b541a in QThread::exec (
    this=this@entry=0x7fa16b70ad80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:531
#7  0x00007fa16b493015 in QDBusConnectionManager::run (
    this=0x7fa16b70ad80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>)
    at qdbusconnection.cpp:178
#8  0x00007fa16a1b6bc2 in QThreadPrivate::start (
    arg=0x7fa16b70ad80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>)
    at thread/qthread_unix.cpp:361
#9  0x00007fa166ccb6db in start_thread (arg=0x7fa15b3a9700) at pthread_create.c:463
#10 0x00007fa169ab688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7fa121a7d700 (LWP 1607)):
#0  0x00007fa169aa9bf9 in __GI___poll (fds=0x55fa2ebf71b0, nfds=1, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fa163911539 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fa1639118d2 in g_main_loop_run () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fa1343ac026 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#4  0x00007fa163939105 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fa166ccb6db in start_thread (arg=0x7fa121a7d700) at pthread_create.c:463
#6  0x00007fa169ab688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7fa12227e700 (LWP 1606)):
#0  0x00007fa163916e11 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fa163917eac in g_log_default_handler () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fa16391813d in g_logv () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fa1639182af in g_log () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fa1343f16f7 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#5  0x00007fa1343f17a5 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#6  0x00007fa1639111f5 in g_main_context_dispatch () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#7  0x00007fa1639115c0 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#8  0x00007fa16391164c in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007fa163911691 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007fa163939105 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007fa166ccb6db in start_thread (arg=0x7fa12227e700) at pthread_create.c:463
#12 0x00007fa169ab688f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7fffbdf71700 (LWP 26122)):
#0  0x00007ffff352ebf9 in __GI___poll (fds=0x7fffb8003ce0, nfds=1, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fffec59a539 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fffec59a64c in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff3e7113f in QEventDispatcherGlib::processEvents (this=0x7fffb8000b20, flags=...)
    at kernel/qeventdispatcher_glib.cpp:422
#4  0x00007ffff3e1264a in QEventLoop::exec (this=this@entry=0x7fffbdf70d40, flags=..., 
    flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007ffff3c3a41a in QThread::exec (this=this@entry=0x55555bb6a940) at thread/qthread.cpp:531
#6  0x00007ffff19f62e5 in QQmlThreadPrivate::run (this=0x55555bb6a940) at qml/ftw/qqmlthread.cpp:148
#7  0x00007ffff3c3bbc2 in QThreadPrivate::start (arg=0x55555bb6a940) at thread/qthread_unix.cpp:361
#8  0x00007fffee9586db in start_thread (arg=0x7fffbdf71700) at pthread_create.c:463
#9  0x00007ffff353b88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7fffc8c42700 (LWP 26121)):
#0  0x00007ffff352ebf9 in __GI___poll (fds=0x7fffc4004a00, nfds=1, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fffec59a539 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fffec59a64c in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff3e7113f in QEventDispatcherGlib::processEvents (this=0x7fffc4000b20, flags=...)
    at kernel/qeventdispatcher_glib.cpp:422
#4  0x00007ffff3e1264a in QEventLoop::exec (this=this@entry=0x7fffc8c41d40, flags=..., 
    flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007ffff3c3a41a in QThread::exec (this=this@entry=0x555555ea7770) at thread/qthread.cpp:531
#6  0x00007ffff19f62e5 in QQmlThreadPrivate::run (this=0x555555ea7770) at qml/ftw/qqmlthread.cpp:148
#7  0x00007ffff3c3bbc2 in QThreadPrivate::start (arg=0x555555ea7770) at thread/qthread_unix.cpp:361
#8  0x00007fffee9586db in start_thread (arg=0x7fffc8c42700) at pthread_create.c:463
#9  0x00007ffff353b88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7fffd14fe700 (LWP 26119)):
#0  0x00007ffff352ebf9 in __GI___poll (fds=0x7fffcc004e00, nfds=1, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fffec59a539 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fffec59a64c in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff3e7113f in QEventDispatcherGlib::processEvents (this=0x7fffcc000b20, flags=...)
    at kernel/qeventdispatcher_glib.cpp:422
#4  0x00007ffff3e1264a in QEventLoop::exec (this=this@entry=0x7fffd14fdd40, flags=..., 
    flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007ffff3c3a41a in QThread::exec (this=this@entry=0x555555b773d0) at thread/qthread.cpp:531
#6  0x00007ffff19f62e5 in QQmlThreadPrivate::run (this=0x555555b773d0) at qml/ftw/qqmlthread.cpp:148
#7  0x00007ffff3c3bbc2 in QThreadPrivate::start (arg=0x555555b773d0) at thread/qthread_unix.cpp:361
#8  0x00007fffee9586db in start_thread (arg=0x7fffd14fe700) at pthread_create.c:463
#9  0x00007ffff353b88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7fffd9fd7700 (LWP 26118)):
#0  0x00007fffee95e9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, 
    futex_word=0x55555584ddf8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  __pthread_cond_wait_common (abstime=0x0, mutex=0x55555584dda8, cond=0x55555584ddd0)
    at pthread_cond_wait.c:502
#2  __pthread_cond_wait (cond=0x55555584ddd0, mutex=0x55555584dda8) at pthread_cond_wait.c:655
#3  0x00007fffdb4b4b1b in ?? () from /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#4  0x00007fffdb4b4847 in ?? () from /usr/lib/x86_64-linux-gnu/dri/i965_dri.so
#5  0x00007fffee9586db in start_thread (arg=0x7fffd9fd7700) at pthread_create.c:463
#6  0x00007ffff353b88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7fffe2fcd700 (LWP 26117)):
#0  0x00007ffff352ebf9 in __GI___poll (fds=0x7fffdc003ce0, nfds=2, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fffec59a539 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fffec59a64c in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffff3e7113f in QEventDispatcherGlib::processEvents (this=0x7fffdc000b20, flags=...)
    at kernel/qeventdispatcher_glib.cpp:422
#4  0x00007ffff3e1264a in QEventLoop::exec (this=this@entry=0x7fffe2fccd30, flags=..., 
    flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007ffff3c3a41a in QThread::exec (
    this=this@entry=0x7ffff4556d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:531
#6  0x00007ffff42df015 in QDBusConnectionManager::run (
    this=0x7ffff4556d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>)
    at qdbusconnection.cpp:178
#7  0x00007ffff3c3bbc2 in QThreadPrivate::start (
    arg=0x7ffff4556d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>)
    at thread/qthread_unix.cpp:361
#8  0x00007fffee9586db in start_thread (arg=0x7fffe2fcd700) at pthread_create.c:463
#9  0x00007ffff353b88f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7ffff7fb2680 (LWP 26112)):
#0  QV4::CppStackFrame::push (this=0x7fffffff49a0)
    at ../../include/QtQml/5.12.0/QtQml/private/../../../../../src/qml/jsruntime/qv4stackframe_p.h:147
#1  QV4::Function::call (this=this@entry=0x55555cd72b10, thisObject=thisObject@entry=0x7fffbd3324f0, 
    argv=argv@entry=0x7fffbd332508, argc=<optimized out>, context=<optimized out>)
    at jsruntime/qv4function.cpp:65
#2  0x00007ffff19c4737 in QQmlJavaScriptExpression::evaluate (this=this@entry=0x55555cd79750, 
    callData=callData@entry=0x7fffbd3324d8, isUndefined=isUndefined@entry=0x7fffffff4baf)
    at qml/qqmljavascriptexpression.cpp:216
#3  0x00007ffff19c9641 in QQmlBinding::evaluate (this=this@entry=0x55555cd79750, 
    isUndefined=isUndefined@entry=0x7fffffff4baf) at qml/qqmlbinding.cpp:209
#4  0x00007ffff19ce3a2 in QQmlNonbindingBinding::doUpdate (this=0x55555cd79750, watcher=..., 
    flags=..., scope=...) at qml/qqmlbinding.cpp:245
#5  0x00007ffff19ca953 in QQmlBinding::update (this=0x55555cd79750, flags=...)
    at qml/qqmlbinding.cpp:185
#6  0x00007ffff19a5cc3 in QQmlNotifier::emitNotify (endpoint=<optimized out>, a=a@entry=0x0)
    at qml/qqmlnotifier.cpp:106
#7  0x00007ffff1946329 in QQmlData::signalEmitted (object=0x55555cd85ae0, index=<optimized out>, 
    a=0x0) at qml/qqmlengine.cpp:880
#8  0x00007ffff3e4365f in QMetaObject::activate (sender=sender@entry=0x55555cd85ae0, 
    signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=21, 
    argv=argv@entry=0x0) at kernel/qobject.cpp:3647
#9  0x00007ffff3e444f7 in QMetaObject::activate (sender=sender@entry=0x55555cd85ae0, 
    m=m@entry=0x7ffff24090c0 <QQuickItem::staticMetaObject>, 
    local_signal_index=local_signal_index@entry=21, argv=argv@entry=0x0) at kernel/qobject.cpp:3631
#10 0x00007ffff1f70913 in QQuickItem::widthChanged (this=this@entry=0x55555cd85ae0)
    at .moc/moc_qquickitem.cpp:1195
#11 0x00007ffff1f7d65a in QQuickItem::geometryChanged (this=0x55555cd85ae0, newGeometry=..., 
    oldGeometry=...) at items/qquickitem.cpp:3808
#12 0x00007ffff1f77983 in QQuickItem::setWidth (this=0x55555cd85ae0, w=<optimized out>)
    at items/qquickitem.cpp:6660
#13 0x00007ffff1f88047 in QQuickItem::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, 
    _id=<optimized out>, _a=<optimized out>) at .moc/moc_qquickitem.cpp:960
#14 0x00007ffff19cd6be in QQmlPropertyData::writeProperty (flags=..., value=0x7fffffff6a18, 
    target=<optimized out>, this=<optimized out>)
    at ../../include/QtQml/5.12.0/QtQml/private/../../../../../src/qml/qml/qqmlpropertycache_p.h:346
#15 GenericBinding<6>::doStore<double> (flags=..., pd=<optimized out>, value=<optimized out>, 
    this=0x55555cd85e30) at qml/qqmlbinding.cpp:334
#16 GenericBinding<6>::write (this=0x55555cd85e30, result=..., isUndefined=<optimized out>, 
    flags=...) at qml/qqmlbinding.cpp:307
#17 0x00007ffff19ce3f7 in QQmlNonbindingBinding::doUpdate (this=0x55555cd85e30, watcher=..., 
    flags=..., scope=...) at qml/qqmlbinding.cpp:249
#18 0x00007ffff19ca953 in QQmlBinding::update (this=0x55555cd85e30, flags=...)
    at qml/qqmlbinding.cpp:185
#19 0x00007ffff19a5cc3 in QQmlNotifier::emitNotify (endpoint=<optimized out>, a=a@entry=0x0)
    at qml/qqmlnotifier.cpp:106
#20 0x00007ffff1946329 in QQmlData::signalEmitted (object=0x55555cd74550, index=<optimized out>, 
    a=0x0) at qml/qqmlengine.cpp:880
#21 0x00007ffff3e4365f in QMetaObject::activate (sender=sender@entry=0x55555cd74550, 
    signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=21, 
    argv=argv@entry=0x0) at kernel/qobject.cpp:3647
#22 0x00007ffff3e444f7 in QMetaObject::activate (sender=sender@entry=0x55555cd74550, 
    m=m@entry=0x7ffff24090c0 <QQuickItem::staticMetaObject>, 
    local_signal_index=local_signal_index@entry=21, argv=argv@entry=0x0) at kernel/qobject.cpp:3631
#23 0x00007ffff1f70913 in QQuickItem::widthChanged (this=this@entry=0x55555cd74550)
    at .moc/moc_qquickitem.cpp:1195
#24 0x00007ffff1f7d65a in QQuickItem::geometryChanged (this=this@entry=0x55555cd74550, 
    newGeometry=..., oldGeometry=...) at items/qquickitem.cpp:3808
#25 0x00007ffff201ad2c in QQuickMouseArea::geometryChanged (this=0x55555cd74550, newGeometry=..., 
    oldGeometry=...) at items/qquickmousearea.cpp:1055
#26 0x00007ffff1f7832e in QQuickItem::setSize (this=0x55555cd74550, size=...)
    at items/qquickitem.cpp:6981
#27 0x00007ffff1f6aa3a in QQuickAnchorsPrivate::setItemSize (v=..., this=0x55555cd8dba0)
    at items/qquickanchors.cpp:435
#28 QQuickAnchorsPrivate::fillChanged (this=0x55555cd8dba0) at items/qquickanchors.cpp:211
#29 0x00007ffff1f7d5dd in QQuickItem::geometryChanged (this=0x55555bb9dd30, newGeometry=..., 
    oldGeometry=...) at items/qquickitem.cpp:3798
#30 0x00007ffff1f77983 in QQuickItem::setWidth (this=0x55555bb9dd30, w=<optimized out>)
    at items/qquickitem.cpp:6660
#31 0x00007fffcb952ecd in ?? ()
   from /usr/lib/x86_64-linux-gnu/qt5/qml/org/kde/kirigami.2/libkirigamiplugin.so
#32 0x00007ffff1f94e83 in QQuickWindowPrivate::polishItems (this=0x55555ba62df0)
    at items/qquickwindow.cpp:310
#33 0x00007ffff263efb5 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5QuickWidgets.so.5
#34 0x00007ffff2641e2b in QQuickWidget::resizeEvent(QResizeEvent*) ()
   from /usr/lib/x86_64-linux-gnu/libQt5QuickWidgets.so.5
#35 0x00007ffff4eda3e2 in QWidget::event (this=0x55555bb85f30, event=0x7fffffff8e30)
    at kernel/qwidget.cpp:9052
#36 0x00007ffff2642dbb in QQuickWidget::event(QEvent*) ()
   from /usr/lib/x86_64-linux-gnu/libQt5QuickWidgets.so.5
#37 0x00007ffff4e9983c in QApplicationPrivate::notify_helper (this=this@entry=0x555555795750, 
    receiver=receiver@entry=0x55555bb85f30, e=e@entry=0x7fffffff8e30) at kernel/qapplication.cpp:3752
#38 0x00007ffff4ea0dd0 in QApplication::notify (this=0x7fffffffddc0, receiver=0x55555bb85f30, 
    e=0x7fffffff8e30) at kernel/qapplication.cpp:3499
#39 0x00007ffff3e14328 in QCoreApplication::notifyInternal2 (receiver=0x55555bb85f30, 
    event=0x7fffffff8e30) at kernel/qcoreapplication.cpp:1061
#40 0x00007ffff3e144fe in QCoreApplication::sendEvent (receiver=receiver@entry=0x55555bb85f30, 
    event=event@entry=0x7fffffff8e30) at kernel/qcoreapplication.cpp:1451
#41 0x00007ffff4ed2376 in QWidgetPrivate::sendPendingMoveAndResizeEvents (
    this=this@entry=0x55555babc7a0, recursive=recursive@entry=false, disableUpdates=<optimized out>, 
    disableUpdates@entry=false) at kernel/qwidget.cpp:7916
#42 0x00007ffff4ed6273 in QWidgetPrivate::show_helper (this=this@entry=0x55555babc7a0)
    at kernel/qwidget.cpp:7967
#43 0x00007ffff4ed93eb in QWidget::setVisible (this=0x55555bb85f30, visible=<optimized out>)
    at kernel/qwidget.cpp:8322
#44 0x00007ffff4ed61e0 in QWidgetPrivate::showChildren (this=this@entry=0x55555ba6bee0, 
    spontaneous=spontaneous@entry=false) at kernel/qwidget.cpp:8405
#45 0x00007ffff4ed628f in QWidgetPrivate::show_helper (this=this@entry=0x55555ba6bee0)
    at kernel/qwidget.cpp:7973
#46 0x00007ffff4ed93eb in QWidget::setVisible (this=0x55555ba67320, visible=<optimized out>)
    at kernel/qwidget.cpp:8322
#47 0x00007ffff4ed61e0 in QWidgetPrivate::showChildren (this=this@entry=0x55555ba6bb40, 
    spontaneous=spontaneous@entry=false) at kernel/qwidget.cpp:8405
#48 0x00007ffff4ed628f in QWidgetPrivate::show_helper (this=0x55555ba6bb40)
    at kernel/qwidget.cpp:7973
#49 0x00007ffff4ed60e1 in QWidgetPrivate::show_recursive (this=<optimized out>)
    at kernel/qwidget.cpp:7897
#50 0x00007ffff4ed618e in QWidgetPrivate::showChildren (this=this@entry=0x55555ba88440, 
    spontaneous=spontaneous@entry=false) at kernel/qwidget.cpp:8403
#51 0x00007ffff4ed628f in QWidgetPrivate::show_helper (this=this@entry=0x55555ba88440)
    at kernel/qwidget.cpp:7973
#52 0x00007ffff4ed93eb in QWidget::setVisible (this=0x555558dbc000, visible=<optimized out>)
    at kernel/qwidget.cpp:8322
#53 0x00007ffff4ed61e0 in QWidgetPrivate::showChildren (this=this@entry=0x55555baf2ed0, 
    spontaneous=spontaneous@entry=false) at kernel/qwidget.cpp:8405
#54 0x00007ffff4ed628f in QWidgetPrivate::show_helper (this=0x55555baf2ed0)
    at kernel/qwidget.cpp:7973
#55 0x00007ffff4ed60e1 in QWidgetPrivate::show_recursive (this=<optimized out>)
    at kernel/qwidget.cpp:7897
#56 0x00007ffff4ed618e in QWidgetPrivate::showChildren (this=this@entry=0x5555558ce7f0, 
    spontaneous=spontaneous@entry=false) at kernel/qwidget.cpp:8403
#57 0x00007ffff4ed628f in QWidgetPrivate::show_helper (this=0x5555558ce7f0)
    at kernel/qwidget.cpp:7973
#58 0x00007ffff4ed60e1 in QWidgetPrivate::show_recursive (this=<optimized out>)
    at kernel/qwidget.cpp:7897
#59 0x00007ffff4ed618e in QWidgetPrivate::showChildren (this=this@entry=0x55555580b6f0, 
    spontaneous=spontaneous@entry=false) at kernel/qwidget.cpp:8403
#60 0x00007ffff4ed628f in QWidgetPrivate::show_helper (this=this@entry=0x55555580b6f0)
    at kernel/qwidget.cpp:7973
#61 0x00007ffff4ed93eb in QWidget::setVisible (this=0x555555b36a80, visible=<optimized out>)
    at kernel/qwidget.cpp:8322
#62 0x00007ffff4ed61e0 in QWidgetPrivate::showChildren (this=this@entry=0x55555580e250, 
    spontaneous=spontaneous@entry=false) at kernel/qwidget.cpp:8405
#63 0x00007ffff4ed628f in QWidgetPrivate::show_helper (this=this@entry=0x55555580e250)
    at kernel/qwidget.cpp:7973
#64 0x00007ffff4ed93eb in QWidget::setVisible (this=0x555555b32ba0, visible=<optimized out>)
    at kernel/qwidget.cpp:8322
#65 0x00007ffff3e43f3f in QtPrivate::QSlotObjectBase::call (a=0x7fffffff97d0, r=0x555555b3a3a0, 
    this=0x555555b2e8b0) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:394
#66 QMetaObject::activate (sender=sender@entry=0x555555b32ba0, signalOffset=<optimized out>, 
    local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fffffff97d0)
    at kernel/qobject.cpp:3759
#67 0x00007ffff3e444f7 in QMetaObject::activate (sender=sender@entry=0x555555b32ba0, 
    m=m@entry=0x7ffff7dd3ae0 <ModuleView::staticMetaObject>, 
    local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fffffff97d0)
    at kernel/qobject.cpp:3631
#68 0x00007ffff7bcedcf in ModuleView::moduleChanged (this=this@entry=0x555555b32ba0, 
    _t1=<optimized out>, _t1@entry=false)
    at ./obj-x86_64-linux-gnu/core/systemsettingsview_autogen/EWIEGA46WW/moc_ModuleView.cpp:196
#69 0x00007ffff7bcc341 in ModuleView::stateChanged (this=this@entry=0x555555b32ba0)
    at ./core/ModuleView.cpp:392
#70 0x00007ffff7bcc4b8 in ModuleView::activeModuleChanged (this=0x555555b32ba0, 
    current=0x55555bab9af0, previous=0x0) at ./core/ModuleView.cpp:346
#71 0x00007ffff3e43e25 in QMetaObject::activate (sender=0x555555b36a80, 
    signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, 
    argv=argv@entry=0x7fffffff99f0) at kernel/qobject.cpp:3778
#72 0x00007ffff3e444f7 in QMetaObject::activate (sender=<optimized out>, 
    m=m@entry=0x7ffff6729fa0 <KPageWidget::staticMetaObject>, 
    local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fffffff99f0)
    at kernel/qobject.cpp:3631
#73 0x00007ffff64d206b in KPageWidget::currentPageChanged (this=<optimized out>, 
    _t1=<optimized out>, _t2=<optimized out>)
    at ./obj-x86_64-linux-gnu/src/KF5WidgetsAddons_autogen/include/moc_kpagewidget.cpp:195
#74 0x00007ffff64d21d4 in KPageWidgetPrivate::_k_slotCurrentPageChanged (this=<optimized out>, 
    current=..., before=...) at ./src/kpagewidget.cpp:45
#75 0x00007ffff64d222c in KPageWidget::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, 
    _id=<optimized out>, _a=<optimized out>)
    at ./obj-x86_64-linux-gnu/src/KF5WidgetsAddons_autogen/include/moc_kpagewidget.cpp:96
#76 0x00007ffff3e43e25 in QMetaObject::activate (sender=0x555555b36a80, 
    signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, 
    argv=argv@entry=0x7fffffff9b60) at kernel/qobject.cpp:3778
#77 0x00007ffff3e444f7 in QMetaObject::activate (sender=<optimized out>, 
    m=m@entry=0x7ffff6729d40 <KPageView::staticMetaObject>, 
    local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fffffff9b60)
    at kernel/qobject.cpp:3631
#78 0x00007ffff64cc817 in KPageView::currentPageChanged (this=<optimized out>, _t1=..., _t2=...)
    at ./obj-x86_64-linux-gnu/src/KF5WidgetsAddons_autogen/include/moc_kpageview.cpp:215
#79 0x00007ffff64cdc59 in KPageViewPrivate::_k_pageSelected (this=0x555555b36ac0, index=..., 
    previous=...) at ./src/kpageview.cpp:256
#80 0x00007ffff3e43e25 in QMetaObject::activate (sender=sender@entry=0x555555b014f0, 
    signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, 
    argv=argv@entry=0x7fffffff9d30) at kernel/qobject.cpp:3778
#81 0x00007ffff3e444f7 in QMetaObject::activate (sender=sender@entry=0x555555b014f0, 
    m=m@entry=0x7ffff42bf6a0 <QItemSelectionModel::staticMetaObject>, 
    local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fffffff9d30)
    at kernel/qobject.cpp:3631
#82 0x00007ffff3dc9df7 in QItemSelectionModel::selectionChanged (this=this@entry=0x555555b014f0, 
    _t1=..., _t2=...) at .moc/moc_qitemselectionmodel.cpp:458
#83 0x00007ffff3dce960 in QItemSelectionModel::emitSelectionChanged (this=this@entry=0x555555b014f0, 
    newSelection=..., oldSelection=...) at itemmodels/qitemselectionmodel.cpp:1871
#84 0x00007ffff3dd1eab in QItemSelectionModel::select (this=0x555555b014f0, selection=..., 
    command=...) at itemmodels/qitemselectionmodel.cpp:1338
#85 0x00007ffff3dcbe5c in QItemSelectionModel::select (this=this@entry=0x555555b014f0, index=..., 
    command=command@entry=...) at itemmodels/qitemselectionmodel.cpp:1188
#86 0x00007ffff3dca1a4 in QItemSelectionModel::setCurrentIndex (this=this@entry=0x555555b014f0, 
    index=..., command=command@entry=...) at itemmodels/qitemselectionmodel.cpp:1413
#87 0x00007ffff64cccca in KPageViewPrivate::updateSelection (this=<optimized out>)
    at ./src/kpageview.cpp:111
#88 0x00007ffff64cda75 in KPageViewPrivate::_k_modelChanged (this=0x555555b36ac0)
    at ./src/kpageview.cpp:218
#89 0x00007ffff3e43e25 in QMetaObject::activate (sender=sender@entry=0x555555b32dd0, 
    signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=3, 
    argv=argv@entry=0x7fffffffa190) at kernel/qobject.cpp:3778
#90 0x00007ffff3e444f7 in QMetaObject::activate (sender=sender@entry=0x555555b32dd0, 
    m=m@entry=0x7ffff42bf5a0 <QAbstractItemModel::staticMetaObject>, 
    local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7fffffffa190)
    at kernel/qobject.cpp:3631
#91 0x00007ffff3dbba66 in QAbstractItemModel::layoutChanged (this=this@entry=0x555555b32dd0, 
    _t1=..., _t2=<optimized out>, _t2@entry=QAbstractItemModel::NoLayoutChangeHint)
    at .moc/moc_qabstractitemmodel.cpp:570
#92 0x00007ffff64d3e96 in KPageWidgetModel::addPage (this=0x555555b32dd0, 
    item=item@entry=0x55555bab9af0) at ./src/kpagewidgetmodel.cpp:440
#93 0x00007ffff64d288d in KPageWidget::addPage (this=<optimized out>, item=item@entry=0x55555bab9af0)
    at ./src/kpagewidget.cpp:94
#94 0x00007ffff7bcccb6 in ModuleView::addModule (this=this@entry=0x555555b32ba0, 
    module=0x555555afc2b8) at ./core/ModuleView.cpp:198
#95 0x00007ffff7bcd03d in ModuleView::loadModule (this=this@entry=0x555555b32ba0, menuItem=...)
    at ./core/ModuleView.cpp:151
#96 0x00007fffd8b280e1 in SidebarMode::changeModule (this=this@entry=0x555555b3a3a0, 
    activeModule=...) at ./sidebar/SidebarMode.cpp:410
#97 0x00007fffd8b284c6 in SidebarMode::setActiveCategory (this=0x555555b3a3a0, cat=<optimized out>)
    at ./sidebar/SidebarMode.cpp:442
#98 0x00007fffd8b2e3e7 in SidebarMode::qt_static_metacall (_o=_o@entry=0x555555b3a3a0, 
    _c=_c@entry=QMetaObject::WriteProperty, _id=_id@entry=3, _a=_a@entry=0x7fffffffa570)
    at ./obj-x86_64-linux-gnu/sidebar/systemsettings_sidebar_mode_autogen/EWIEGA46WW/moc_SidebarMode.cpp:312
#99 0x00007fffd8b2e6f3 in SidebarMode::qt_metacall (this=0x555555b3a3a0, 
    _c=QMetaObject::WriteProperty, _id=3, _a=0x7fffffffa570)
    at ./obj-x86_64-linux-gnu/sidebar/systemsettings_sidebar_mode_autogen/EWIEGA46WW/moc_SidebarMode.cpp:361
#100 0x00007ffff18a12cb in QV4::QObjectWrapper::setProperty (engine=engine@entry=0x555555b7c5b0, 
    object=object@entry=0x555555b3a3a0, property=0x555555d195a8, value=...)
    at jsruntime/qv4qobjectwrapper.cpp:534
#101 0x00007ffff18a1d6e in QV4::QObjectWrapper::setQmlProperty (engine=0x555555b7c5b0, 
    qmlContext=<optimized out>, object=0x555555b3a3a0, name=<optimized out>, 
    revisionMode=QV4::QObjectWrapper::IgnoreRevision, value=...)
    at jsruntime/qv4qobjectwrapper.cpp:435
#102 0x00007ffff18a1f09 in QV4::QObjectWrapper::virtualPut (m=0x7fffd08bf590, id=..., value=..., 
    receiver=0x7fffd08bf590) at jsruntime/qv4qobjectwrapper.cpp:721
#103 0x00007ffff191ebf1 in QV4::Object::put (receiver=<optimized out>, v=..., name=0x7fffd08bf588, 
    this=0x7fffd08bf590) at jsruntime/qv4object_p.h:318
#104 QV4::Runtime::method_storeProperty (engine=0x555555b7c5b0, object=..., 
    nameIndex=<optimized out>, value=...) at jsruntime/qv4runtime.cpp:611
#105 0x00007ffff18b993e in QV4::Moth::VME::interpret (frame=0x7fffffffa8c0, engine=0x555555b7c5b0, 
    code=0x7ffff7e323e1 "+\244") at jsruntime/qv4vme_moth.cpp:604
#106 0x00007ffff18bd746 in QV4::Moth::VME::exec (frame=frame@entry=0x7fffffffa8c0, 
    engine=engine@entry=0x555555b7c5b0) at jsruntime/qv4vme_moth.cpp:441
#107 0x00007ffff185091b in QV4::Function::call (this=this@entry=0x555555c3f700, 
    thisObject=thisObject@entry=0x7fffd08bf4e8, argv=argv@entry=0x7fffd08bf500, 
    argc=<optimized out>, context=<optimized out>) at jsruntime/qv4function.cpp:68
#108 0x00007ffff19c4737 in QQmlJavaScriptExpression::evaluate (this=this@entry=0x555558cdbec0, 
    callData=callData@entry=0x7fffd08bf4d0, isUndefined=isUndefined@entry=0x0)
    at qml/qqmljavascriptexpression.cpp:216
#109 0x00007ffff1964289 in QQmlBoundSignalExpression::evaluate (this=this@entry=0x555558cdbec0, 
    a=a@entry=0x0) at qml/qqmlboundsignal.cpp:225
#110 0x00007ffff196560b in QQmlBoundSignal_callback (e=0x555558cdbe70, a=0x0)
    at qml/qqmlboundsignal.cpp:358
#111 0x00007ffff19a5cc3 in QQmlNotifier::emitNotify (endpoint=<optimized out>, a=a@entry=0x0)
    at qml/qqmlnotifier.cpp:106
#112 0x00007ffff1946329 in QQmlData::signalEmitted (object=0x555558cc86c0, index=<optimized out>, 
    a=0x0) at qml/qqmlengine.cpp:880
#113 0x00007ffff3e4365f in QMetaObject::activate (sender=0x555558cc86c0, 
    signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=0x0)
    at kernel/qobject.cpp:3647
#114 0x00007fffe50eff18 in QQuickAbstractButtonPrivate::handleRelease(QPointF const&) ()
   from /usr/lib/x86_64-linux-gnu/libQt5QuickTemplates2.so.5
#115 0x00007fffe510d0e5 in QQuickControl::mouseReleaseEvent(QMouseEvent*) ()
   from /usr/lib/x86_64-linux-gnu/libQt5QuickTemplates2.so.5
#116 0x00007ffff1f82c78 in QQuickItem::event (this=0x555558cc86c0, ev=0x7fffffffce60)
    at items/qquickitem.cpp:8096
#117 0x00007ffff4e9983c in QApplicationPrivate::notify_helper (this=this@entry=0x555555795750, 
    receiver=receiver@entry=0x555558cc86c0, e=e@entry=0x7fffffffce60) at kernel/qapplication.cpp:3752
#118 0x00007ffff4ea0dd0 in QApplication::notify (this=0x7fffffffddc0, receiver=0x555558cc86c0, 
    e=0x7fffffffce60) at kernel/qapplication.cpp:3499
#119 0x00007ffff3e14328 in QCoreApplication::notifyInternal2 (receiver=0x555558cc86c0, 
    event=0x7fffffffce60) at kernel/qcoreapplication.cpp:1061
#120 0x00007ffff3e144fe in QCoreApplication::sendEvent (receiver=receiver@entry=0x555558cc86c0, 
    event=event@entry=0x7fffffffce60) at kernel/qcoreapplication.cpp:1451
#121 0x00007ffff1f9c0ed in QQuickWindowPrivate::deliverMouseEvent (this=this@entry=0x555555af0c90, 
    pointerEvent=0x555555f0af70) at items/qquickwindow.cpp:1784
#122 0x00007ffff1f9d2db in QQuickWindowPrivate::deliverPointerEvent (this=this@entry=0x555555af0c90, 
    event=0x555555f0af70) at items/qquickwindow.cpp:2346
#123 0x00007ffff1f9df6e in QQuickWindowPrivate::handleMouseEvent (this=0x555555af0c90, event=
    0x7fffffffce60) at items/qquickwindow.cpp:2210
#124 0x00007ffff4676ac5 in QWindow::event (this=this@entry=0x555555b334f0, 
    ev=ev@entry=0x7fffffffce60) at kernel/qwindow.cpp:2336
#125 0x00007ffff1f9f285 in QQuickWindow::event (this=0x555555b334f0, e=0x7fffffffce60)
    at items/qquickwindow.cpp:1673
#126 0x00007ffff4e9983c in QApplicationPrivate::notify_helper (this=this@entry=0x555555795750, 
    receiver=receiver@entry=0x555555b334f0, e=e@entry=0x7fffffffce60) at kernel/qapplication.cpp:3752
#127 0x00007ffff4ea0dd0 in QApplication::notify (this=0x7fffffffddc0, receiver=0x555555b334f0, 
    e=0x7fffffffce60) at kernel/qapplication.cpp:3499
#128 0x00007ffff3e14328 in QCoreApplication::notifyInternal2 (receiver=0x555555b334f0, 
    event=0x7fffffffce60) at kernel/qcoreapplication.cpp:1061
#129 0x00007ffff2642bdc in QQuickWidget::mouseReleaseEvent(QMouseEvent*) ()
   from /usr/lib/x86_64-linux-gnu/libQt5QuickWidgets.so.5
#130 0x00007ffff4ed9838 in QWidget::event (this=0x555555b74970, event=0x7fffffffd4b0)
    at kernel/qwidget.cpp:9268
#131 0x00007ffff2642dbb in QQuickWidget::event(QEvent*) ()
   from /usr/lib/x86_64-linux-gnu/libQt5QuickWidgets.so.5
#132 0x00007ffff4e9983c in QApplicationPrivate::notify_helper (this=this@entry=0x555555795750, 
    receiver=receiver@entry=0x555555b74970, e=e@entry=0x7fffffffd4b0) at kernel/qapplication.cpp:3752
#133 0x00007ffff4ea1ca8 in QApplication::notify (this=<optimized out>, receiver=0x555555b74970, 
    e=0x7fffffffd4b0) at kernel/qapplication.cpp:3213
#134 0x00007ffff3e14328 in QCoreApplication::notifyInternal2 (receiver=0x555555b74970, 
    event=0x7fffffffd4b0) at kernel/qcoreapplication.cpp:1061
#135 0x00007ffff3e1450e in QCoreApplication::sendSpontaneousEvent (
    receiver=receiver@entry=0x555555b74970, event=event@entry=0x7fffffffd4b0)
    at kernel/qcoreapplication.cpp:1463
#136 0x00007ffff4ea029f in QApplicationPrivate::sendMouseEvent (
    receiver=receiver@entry=0x555555b74970, event=event@entry=0x7fffffffd4b0, 
    alienWidget=0x555555b74970, nativeWidget=0x555555839e80, 
    buttonDown=buttonDown@entry=0x7ffff559a8b0 <qt_button_down>, lastMouseReceiver=..., 
    spontaneous=true, onlyDispatchEnterLeave=false) at kernel/qapplication.cpp:2699
#137 0x00007ffff4ef4a80 in QWidgetWindow::handleMouseEvent (this=this@entry=0x5555558eff50, 
    event=event@entry=0x7fffffffd940) at kernel/qwidgetwindow.cpp:661
#138 0x00007ffff4ef734a in QWidgetWindow::event (this=0x5555558eff50, event=0x7fffffffd940)
    at kernel/qwidgetwindow.cpp:281
#139 0x00007ffff4e9983c in QApplicationPrivate::notify_helper (this=this@entry=0x555555795750, 
    receiver=receiver@entry=0x5555558eff50, e=e@entry=0x7fffffffd940) at kernel/qapplication.cpp:3752
#140 0x00007ffff4ea0dd0 in QApplication::notify (this=0x7fffffffddc0, receiver=0x5555558eff50, 
    e=0x7fffffffd940) at kernel/qapplication.cpp:3499
#141 0x00007ffff3e14328 in QCoreApplication::notifyInternal2 (receiver=0x5555558eff50, 
    event=0x7fffffffd940) at kernel/qcoreapplication.cpp:1061
#142 0x00007ffff3e1450e in QCoreApplication::sendSpontaneousEvent (
    receiver=receiver@entry=0x5555558eff50, event=event@entry=0x7fffffffd940)
    at kernel/qcoreapplication.cpp:1463
#143 0x00007ffff466b52b in QGuiApplicationPrivate::processMouseEvent (e=0x555558d81890)
    at kernel/qguiapplication.cpp:2102
#144 0x00007ffff466c695 in QGuiApplicationPrivate::processWindowSystemEvent (
    e=e@entry=0x555558d81890) at kernel/qguiapplication.cpp:1837
#145 0x00007ffff464514b in QWindowSystemInterface::sendWindowSystemEvents (flags=...)
    at kernel/qwindowsysteminterface.cpp:1068
#146 0x00007fffe6fdfe60 in userEventSourceDispatch(_GSource*, int (*)(void*), void*) ()
   from /usr/lib/x86_64-linux-gnu/libQt5WaylandClient.so.5
#147 0x00007fffec59a387 in g_main_context_dispatch () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#148 0x00007fffec59a5c0 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#149 0x00007fffec59a64c in g_main_context_iteration ()
   from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#150 0x00007ffff3e7113f in QEventDispatcherGlib::processEvents (this=0x5555557c87f0, flags=...)
    at kernel/qeventdispatcher_glib.cpp:422
#151 0x00007ffff3e1264a in QEventLoop::exec (this=this@entry=0x7fffffffdce0, flags=..., 
    flags@entry=...) at kernel/qeventloop.cpp:225
#152 0x00007ffff3e1b800 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1364
#153 0x000055555555fe78 in main (argc=<optimized out>, argv=<optimized out>) at ./app/main.cpp:71
Comment 1 Bart 2019-03-06 23:30:08 UTC
Same over here, on new installation.
Operating System: KDE neon Developer Edition
KDE Plasma Version: 5.15.2
KDE Frameworks Version: 5.56.0
Qt Version: 5.12.0
Comment 2 Bart 2019-03-08 10:31:31 UTC
with latest updates , a couple of days ago, this is working again on my end.
Comment 3 David Edmundson 2019-03-08 11:02:08 UTC
Patrick, is that true for you too?
Comment 4 Patrick Silva 2019-03-08 11:40:35 UTC
yes \o/
Comment 5 Patrick Silva 2019-03-09 15:58:47 UTC
oh noooo...
The problem occurs on Arch Linux after update to frameworks 5.56.
Comment 6 Tommy Holmgren 2019-03-12 11:58:03 UTC
Im also affected by this bug in Gentoo after upgrade to frameworks 5.56
Comment 7 Christoph Feck 2019-03-24 12:53:24 UTC
Changing status based on recent comments.
Comment 8 Texstar 2019-04-17 05:44:30 UTC
It is working with the latest updates. 5.57.0 frameworks for us.
Comment 9 Kai Uwe Broulik 2019-04-17 07:09:33 UTC
Thanks everyone for reporting back, closing this as fixed then.
Comment 10 Christoph Feck 2019-07-03 14:38:22 UTC
*** Bug 408208 has been marked as a duplicate of this bug. ***